cURL
curl --request PATCH \ --url https://api.atlas.co/functions/v1/sessions/{session_id} \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "amount": 123, "currency": "<string>", "description": "<string>", "customer": { "email": "<string>", "name": "<string>" }, "metadata": {} } '
{ "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "object": "payment_session", "status": "requires_payment_method", "amount": 123, "currency": "<string>", "client_secret": "<string>", "customer_email": "<string>", "customer_name": "<string>", "capture_method": "automatic", "payment_method_types": [ "card" ], "metadata": {}, "created_at": "2023-11-07T05:31:56Z", "livemode": true }
API key (sk_test_* or sk_live_*)
Show child attributes
Session updated
payment_session
requires_payment_method
requires_action
processing
succeeded
failed
canceled
automatic
manual
card
apple_pay
google_pay
bank_account
paypal